OpenNMS API 1.2.9

## org.opennms.web.admin.pollerConfig
Class AddPollerConfigServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.admin.pollerConfig.AddPollerConfigServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AddPollerConfigServlet
extends javax.servlet.http.HttpServlet

A servlet that handles managing or unmanaging interfaces and services on a node

Author:
  Jacinta Remedios , OpenNMS
See Also:
  Serialized Form

Field Summary
`(package private) java.util.List` `capsdColl`
`(package private) CapsdConfiguration` `capsdConfig`
`(package private) CapsdConfigFactory` `capsdFactory`
`(package private) java.util.HashMap` `capsdProtocols`
`(package private) boolean` `errorflag`
`(package private) Package` `pkg`
`(package private) java.util.Collection` `pluginColl`
`(package private) PollerConfiguration` `pollerConfig`
`(package private) PollerConfigFactory` `pollerFactory`
`(package private) java.util.HashMap` `pollerServices`
`(package private) java.util.Properties` `props`
`protected java.lang.String` `redirectSuccess`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`AddPollerConfigServlet()`

Method Summary
`void` `addCapsdInfo(java.lang.String name, java.lang.String port, java.lang.String user, java.lang.String protocol, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)`
`void` `addPollerInfo(java.lang.String bPolled, java.lang.String name, java.lang.String port, java.lang.String user, java.lang.String protocol, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpServletRequest request)`
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()`
`void` `initCapsdProtocols()`
`void` `initPollerServices()`
`void` `reloadFiles()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pollerConfig

    PollerConfiguration pollerConfig

### capsdConfig

    CapsdConfiguration capsdConfig

### redirectSuccess

    protected java.lang.String redirectSuccess

### pollerServices

    java.util.HashMap pollerServices

### capsdProtocols

    java.util.HashMap capsdProtocols

### capsdColl

    java.util.List capsdColl

### pkg

    Package pkg

### pluginColl

    java.util.Collection pluginColl

### props

    java.util.Properties props

### pollerFactory

    PollerConfigFactory pollerFactory

### capsdFactory

    CapsdConfigFactory capsdFactory

### errorflag

    boolean errorflag

Constructor Detail

### AddPollerConfigServlet

    public AddPollerConfigServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### reloadFiles

    public void reloadFiles()
                     throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### initCapsdProtocols

    public void initCapsdProtocols()

### initPollerServices

    public void initPollerServices()

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### addCapsdInfo

    public void addCapsdInfo(java.lang.String name,
                             java.lang.String port,
                             java.lang.String user,
                             java.lang.String protocol,
                             javax.servlet.http.HttpServletResponse response,
                             javax.servlet.http.HttpServletRequest request)
                      throws javax.servlet.ServletException,
                             java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### addPollerInfo

    public void addPollerInfo(java.lang.String bPolled,
                              java.lang.String name,
                              java.lang.String port,
                              java.lang.String user,
                              java.lang.String protocol,
                              javax.servlet.http.HttpServletResponse response,
                              javax.servlet.http.HttpServletRequest request)
                       throws javax.servlet.ServletException,
                              java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.